Bug 440736 - In "New Account" wizard, Enter key does not work on "Parent account" page
Summary: In "New Account" wizard, Enter key does not work on "Parent account" page
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: ux-ui (show other bugs)
Version: 5.1.2
Platform: Other Other
: NOR minor (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-08 10:23 UTC by Dawid Wróbel
Modified: 2021-08-09 19:51 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dawid Wróbel 2021-08-08 10:23:37 UTC
SUMMARY
Self-explanatory: in "New Account" wizard, Enter key does not work on "Parent account" page

STEPS TO REPRODUCE
1. Open "New Account" wizard
2. Fill required fields and hit enter until on "Parent account" page
3. Select a parent account
4. Hit Enter

OBSERVED RESULT
Wizard does not move forward to the next page

EXPECTED RESULT
Wizard should move forward to the next page
Comment 1 Thomas Baumgart 2021-08-09 19:51:30 UTC
Git commit 8a4df7788cb38dfbf5038cbad3839cec4afaa226 by Thomas Baumgart.
Committed on 09/08/2021 at 19:16.
Pushed by tbaumgart into branch 'master'.

Allow to programatically select next or previoius page of a wizard

M  +10   -0    kmymoney/wizards/kmymoneywizard.cpp
M  +4    -0    kmymoney/wizards/kmymoneywizard.h
M  +1    -0    kmymoney/wizards/newaccountwizard/khierarchypage.cpp

https://invent.kde.org/office/kmymoney/commit/8a4df7788cb38dfbf5038cbad3839cec4afaa226
Comment 2 Thomas Baumgart 2021-08-09 19:51:46 UTC
Git commit 1e3df898771c1939df1ea126a453142ead3e04d6 by Thomas Baumgart.
Committed on 09/08/2021 at 19:48.
Pushed by tbaumgart into branch '5.1'.

Allow to programatically select next or previoius page of a wizard
FIXED-IN: 5.1.3

(cherry picked from commit 8a4df7788cb38dfbf5038cbad3839cec4afaa226 and
adjusted to 5.1 branch)

M  +1    -0    kmymoney/widgets/kmymoneyaccounttreeview.cpp
M  +1    -0    kmymoney/widgets/kmymoneyaccounttreeview.h
M  +10   -0    kmymoney/wizards/kmymoneywizard.cpp
M  +4    -0    kmymoney/wizards/kmymoneywizard.h
M  +1    -0    kmymoney/wizards/newaccountwizard/khierarchypage.cpp

https://invent.kde.org/office/kmymoney/commit/1e3df898771c1939df1ea126a453142ead3e04d6